--- a/netfields/compat.py
+++ b/netfields/compat.py
@@ -10,7 +10,6 @@
 except ImportError:
     is_psycopg3 = False
 
-if VERSION[0] <= 2:
-    from django.utils.six import with_metaclass, text_type
-else:
-    from six import with_metaclass, text_type
+# this is dumb, a real patch has been provided upstream
+with_metaclass = None # not even used anywhere
+text_type = str
--- a/setup.py
+++ b/setup.py
@@ -15,7 +15,6 @@
 requirements = [
     'netaddr',
     'django>=1.8',
-    'six',
 ]
 
 if sys.version_info.major == 2:
